ON_ObjectRenderingAttributes Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_rendering.h>`

Inheritance diagram for ON_ObjectRenderingAttributes:

## Public Member Functions

| ON_ObjectRenderingAttributes ()
void | Default ()
int | Compare (const ON_ObjectRenderingAttributes &other) const
bool | Write (ON_BinaryArchive &archive) const
bool | Read (ON_BinaryArchive &archive)
bool | IsValid (ON_TextLog *text_log) const
bool | Transform (const ON_Xform &xform)
const ON_MappingRef * | MappingRef (const ON_UUID &plugin_id) const
ON_MappingRef * | AddMappingRef (const ON_UUID &plugin_id)
bool | DeleteMappingRef (const ON_UUID &plugin_id)
const ON_MappingChannel * | MappingChannel (const ON_UUID &plugin_id, int mapping_channel_id) const
const ON_MappingChannel * | MappingChannel (const ON_UUID &plugin_id, const ON_UUID &mapping_id) const
bool | AddMappingChannel (const ON_UUID &plugin_id, int mapping_channel_id, const ON_UUID &mapping_id)
bool | DeleteMappingChannel (const ON_UUID &plugin_id, int mapping_channel_id)
bool | DeleteMappingChannel (const ON_UUID &plugin_id, const ON_UUID &mapping_id)
bool | ChangeMappingChannel (const ON_UUID &plugin_id, int old_mapping_channel_id, int new_mapping_channel_id)
void | EnableAdvancedTexturePreview (bool b)
bool | AdvancedTexturePreview () const
Public Member Functions inherited from ON_RenderingAttributes
| ON_RenderingAttributes ()
void | Default ()
int | Compare (const ON_RenderingAttributes &other) const
bool | Write (ON_BinaryArchive &archive) const
bool | Read (ON_BinaryArchive &archive)
bool | IsValid (ON_TextLog *text_log) const
const ON_MaterialRef * | MaterialRef (const ON_UUID &plugin_id) const

## Public Attributes

ON_ClassArray< ON_MappingRef > | m_mappings
bool | m_bCastsShadows
bool | m_bReceivesShadows
Public Attributes inherited from ON_RenderingAttributes
ON_ClassArray< ON_MaterialRef > | m_materials

## Detailed Description

Definition at line 38 of file opennurbs_rendering.h.

## Constructor & Destructor Documentation

## ON_ObjectRenderingAttributes()

ON_ObjectRenderingAttributes::ON_ObjectRenderingAttributes | ( |  | ) |

## Member Function Documentation

## AddMappingChannel()

bool ON_ObjectRenderingAttributes::AddMappingChannel | ( | const ON_UUID & | plugin_id,
|  | int | mapping_channel_id,
|  | const ON_UUID & | mapping_id
| ) |  |

## AddMappingRef()

ON_MappingRef* ON_ObjectRenderingAttributes::AddMappingRef | ( | const ON_UUID & | plugin_id | ) |

## AdvancedTexturePreview()

bool ON_ObjectRenderingAttributes::AdvancedTexturePreview | ( |  | ) | const

## ChangeMappingChannel()

bool ON_ObjectRenderingAttributes::ChangeMappingChannel | ( | const ON_UUID & | plugin_id,
|  | int | old_mapping_channel_id,
|  | int | new_mapping_channel_id
| ) |  |

## Compare()

int ON_ObjectRenderingAttributes::Compare | ( | const ON_ObjectRenderingAttributes & | other | ) | const

## Default()

void ON_ObjectRenderingAttributes::Default | ( |  | ) |

## DeleteMappingChannel() [1/2]

bool ON_ObjectRenderingAttributes::DeleteMappingChannel | ( | const ON_UUID & | plugin_id,
|  | const ON_UUID & | mapping_id
| ) |  |

## DeleteMappingChannel() [2/2]

bool ON_ObjectRenderingAttributes::DeleteMappingChannel | ( | const ON_UUID & | plugin_id,
|  | int | mapping_channel_id
| ) |  |

## DeleteMappingRef()

bool ON_ObjectRenderingAttributes::DeleteMappingRef | ( | const ON_UUID & | plugin_id | ) |

## EnableAdvancedTexturePreview()

void ON_ObjectRenderingAttributes::EnableAdvancedTexturePreview | ( | bool | b | ) |

## IsValid()

bool ON_ObjectRenderingAttributes::IsValid | ( | ON_TextLog * | text_log | ) | const

## MappingChannel() [1/2]

const ON_MappingChannel* ON_ObjectRenderingAttributes::MappingChannel | ( | const ON_UUID & | plugin_id,
|  | const ON_UUID & | mapping_id
| ) |  | const

## MappingChannel() [2/2]

const ON_MappingChannel* ON_ObjectRenderingAttributes::MappingChannel | ( | const ON_UUID & | plugin_id,
|  | int | mapping_channel_id
| ) |  | const

## MappingRef()

const ON_MappingRef* ON_ObjectRenderingAttributes::MappingRef | ( | const ON_UUID & | plugin_id | ) | const

## Read()

bool ON_ObjectRenderingAttributes::Read | ( | ON_BinaryArchive & | archive | ) |

## Transform()

bool ON_ObjectRenderingAttributes::Transform | ( | const ON_Xform & | xform | ) |

## Write()

bool ON_ObjectRenderingAttributes::Write | ( | ON_BinaryArchive & | archive | ) | const

## Member Data Documentation

## m_bCastsShadows

bool ON_ObjectRenderingAttributes::m_bCastsShadows

Definition at line 195 of file opennurbs_rendering.h.

## m_bReceivesShadows

bool ON_ObjectRenderingAttributes::m_bReceivesShadows

Definition at line 196 of file opennurbs_rendering.h.

## m_mappings

ON_ClassArray<ON_MappingRef> ON_ObjectRenderingAttributes::m_mappings

Definition at line 172 of file opennurbs_rendering.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_rendering.h